#!/usr/bin/env python

from PyQt5 import QtCore, QtWidgets

class DefinedPaths(QtWidgets.QDockWidget):
    deletePressed = QtCore.pyqtSignal(int)
    def __init__(self):
        super().__init__()

        self.setAllowedAreas(QtCore.Qt.BottomDockWidgetArea)
        self.setFeatures(QtWidgets.QDockWidget.NoDockWidgetFeatures) 

        self.tree = QtWidgets.QTreeWidget()
        self.tree.setHeaderLabel('Defined paths')

        self.setWidget(self.tree)
       
    def keyPressEvent(self, event):
        key = event.key()
        if key == QtCore.Qt.Key_Delete:
            item = self.tree.currentItem()
            if item is None:
                return
            
            parent = item.parent()
            if parent is None:
                final = item
            else:
                p = item
                while p.parent() != None:
                    p = p.parent()
                final = p

            row = self.tree.indexOfTopLevelItem(final)
            self.deletePressed.emit(row)
