#!/usr/bin/env python

"""Main module serves as a launcher of Visdan and its graphical interface."""

import sys

from PyQt5 import QtWidgets

import controller
import gui

if __name__ == '__main__':
    # Create the application object
    app = QtWidgets.QApplication(sys.argv)
    # Set a graphical theme
    app.setStyle('fusion')

    # Create the main window of the interface
    gui = gui.Window()
    # Connect the window to the controller
    controller = controller.Controller(gui)
    
    # Show the main window maximalized
    gui.showMaximized()
    # Start the application loop
    app.exec()
